Bug 12562 - vfs_acl_common should force "create mask = 0777" , not 0666
vfs_acl_common should force "create mask = 0777" , not 0666
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 12181
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-06 11:46 UTC by Ralph Böhme
Modified: 2017-05-02 07:30 UTC (History)
3 users (show)

See Also:


Attachments
Patch for 4.5 and 4.6 cherry-picked from master (3.42 KB, patch)
2017-04-21 07:58 UTC, Ralph Böhme
slow: review? (jra)
uri: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-02-06 11:46:58 UTC
The fix for bug #12181 included a change that should ensure filesystem permissions are out of the way when using VFS modules acl_xattr or acl_tdb with "acl_xattr:ignore system acls = yes".

At runtime, when the module is loaded, we now set "create mask = 0666" which doesn't contain executable rights files. This should really by "create mask = 0777" instead.

Patch to follow...
Comment 1 Ralph Böhme 2017-04-21 07:58:16 UTC
Created attachment 13167 [details]
Patch for 4.5 and 4.6 cherry-picked from master
Comment 2 Uri Simchoni 2017-04-21 18:29:46 UTC
Assigning to Karolin for inclusion in 4.5.next and 4.6.next
Comment 3 Karolin Seeger 2017-04-28 07:01:42 UTC
(In reply to Uri Simchoni from comment #2)
Pushed to autobuild-v4-{6,5}-test.
Comment 4 Karolin Seeger 2017-05-02 07:30:53 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!